diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/10_plus/explain_plan.sql b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/10_plus/explain_plan.sql
index fc4a8d2..26743f9 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/10_plus/explain_plan.sql
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/10_plus/explain_plan.sql
@@ -1,23 +1,15 @@
-EXPLAIN (
-{% if format %}
+EXPLAIN ({% if format -%}
   FORMAT {{ format.upper() }},
-{% endif %}
-{% if analyze is defined %}
+{%- endif %}{% if analyze is defined -%}
   ANALYZE {{ analyze }},
-{% endif %}
-{% if verbose is defined %}
+{%- endif %}{% if verbose is defined -%}
   VERBOSE {{ verbose }},
-{% endif %}
-{% if costs is defined %}
+{%- endif %}{% if costs is defined -%}
   COSTS {{ costs }},
-{% endif %}
-{% if timing is defined %}
+{%- endif %}{% if timing is defined -%}
   TIMING {{ timing }},
-{% endif %}
-{% if summary is defined %}
+{%- endif %}{% if summary is defined -%}
   SUMMARY {{ summary }},
-{% endif %}
-{% if buffers is defined %}
+{%- endif %}{% if buffers is defined -%}
   BUFFERS {{ buffers }}
-{% endif %}
-) {{ sql }}
+{%- endif %}) {{ sql }}
diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.2_plus/explain_plan.sql b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.2_plus/explain_plan.sql
index 315174a..6540f80 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.2_plus/explain_plan.sql
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/9.2_plus/explain_plan.sql
@@ -1,20 +1,13 @@
-EXPLAIN (
-{% if format %}
+EXPLAIN ({% if format -%}
   FORMAT {{ format.upper() }},
-{% endif %}
-{% if analyze is defined %}
+{%- endif %}{% if analyze is defined -%}
   ANALYZE {{ analyze }},
-{% endif %}
-{% if verbose is defined %}
+{%- endif %}{% if verbose is defined -%}
   VERBOSE {{ verbose }},
-{% endif %}
-{% if costs is defined %}
+{%- endif %}{% if costs is defined -%}
   COSTS {{ costs }},
-{% endif %}
-{% if timing is defined %}
+{%- endif %}{% if timing is defined -%}
   TIMING {{ timing }},
-{% endif %}
-{% if buffers is defined %}
+{%- endif %}{% if buffers is defined -%}
   BUFFERS {{ buffers }}
-{% endif %}
-) {{ sql }}
+{%- endif %}) {{ sql }}
diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/default/explain_plan.sql b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/default/explain_plan.sql
index 72b20c9..2945de4 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/default/explain_plan.sql
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/default/explain_plan.sql
@@ -1,17 +1,10 @@
-EXPLAIN (
-{% if format %}
+EXPLAIN ({% if format -%}
   FORMAT {{ format.upper() }},
-{% endif %}
-{% if analyze is defined %}
-  ANALYZE {{ analyze }},
-{% endif %}
-{% if verbose is defined %}
+{%- endif %}{% if analyze is defined -%}
+  ANALYZE {{ analyze }},{%- endif %}{% if verbose is defined -%}
   VERBOSE {{ verbose }},
-{% endif %}
-{% if costs is defined %}
+{%- endif %}{% if costs is defined -%}
   COSTS {{ costs }},
-{% endif %}
-{% if buffers is defined %}
+{%- endif %}{% if buffers is defined -%}
   BUFFERS {{ buffers }}
-{% endif %}
-) {{ sql }}
+{%- endif %}) {{ sql }}
diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/gpdb_5.0_plus/explain_plan.sql b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/gpdb_5.0_plus/explain_plan.sql
index aacabe4..7904f26 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/gpdb_5.0_plus/explain_plan.sql
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/sql/gpdb_5.0_plus/explain_plan.sql
@@ -1,5 +1 @@
-EXPLAIN
-{% if analyze %}
- ANALYZE
-{% endif %}
- {{ sql }}
+EXPLAIN {% if analyze %}ANALYZE {% endif %}{{ sql }}
diff --git a/web/pgadmin/tools/sqleditor/tests/test_explain_plan_templates.py b/web/pgadmin/tools/sqleditor/tests/test_explain_plan_templates.py
index 1b3e09f..c8c32cf 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_explain_plan_templates.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_explain_plan_templates.py
@@ -35,8 +35,8 @@ class TestExplainPlanTemplates(BaseTestGenerator):
                 ),
                 sql_statement='SELECT * FROM places',
                 expected_return_value='EXPLAIN '
-                                      '(  FORMAT XML,  ANALYZE True,  '
-                                      'VERBOSE True,  COSTS False,  '
+                                      '(FORMAT XML,ANALYZE True,'
+                                      'VERBOSE True,COSTS False,'
                                       'BUFFERS True) SELECT * FROM places'
             )
         ),
@@ -54,7 +54,7 @@ class TestExplainPlanTemplates(BaseTestGenerator):
                 ),
                 sql_statement='SELECT * FROM places',
                 expected_return_value='EXPLAIN '
-                                      '(  FORMAT JSON,  BUFFERS True) '
+                                      '(FORMAT JSON,BUFFERS True) '
                                       'SELECT * FROM places'
             )
         ),
@@ -73,7 +73,7 @@ class TestExplainPlanTemplates(BaseTestGenerator):
                 ),
                 sql_statement='SELECT * FROM places',
                 expected_return_value='EXPLAIN '
-                                      '(  FORMAT JSON,  TIMING False,  '
+                                      '(FORMAT JSON,TIMING False,'
                                       'BUFFERS True) SELECT * FROM places'
             )
         ),
@@ -93,8 +93,8 @@ class TestExplainPlanTemplates(BaseTestGenerator):
                 ),
                 sql_statement='SELECT * FROM places',
                 expected_return_value='EXPLAIN '
-                                      '(  FORMAT YAML,  TIMING False,  '
-                                      'SUMMARY True,  BUFFERS True) '
+                                      '(FORMAT YAML,TIMING False,'
+                                      'SUMMARY True,BUFFERS True) '
                                       'SELECT * FROM places'
             )
         ),
